Package org.jfree.layouting.layouter.style.resolver.computed.lists

## Class ListStylePositionResolveHandler

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler
  - - org.jfree.layouting.layouter.style.resolver.computed.lists.ListStylePositionResolveHandler

- All Implemented Interfaces:
    `ResolveHandler`

      public class ListStylePositionResolveHandler
      extends ConstantsResolveHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListStylePositionResolveHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `resolve​(LayoutProcess process, LayoutElement currentNode, StyleKey key)` | Resolves a single property.

    - ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler

      `addNormalizeValue, addValue, getFallback, getRequiredStyles, lookupValue, resolveValue, setFallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListStylePositionResolveHandler

          public ListStylePositionResolveHandler​()

  - ### Method Detail

    - #### resolve

          public void resolve​(LayoutProcess process,
                              LayoutElement currentNode,
                              StyleKey key)

      Resolves a single property.
      Specified by:
        `resolve` in interface `ResolveHandler`
      Overrides:
        `resolve` in class `ConstantsResolveHandler`
      Parameters:
        `currentNode` -
        `style` -